Package org.eclipse.lemminx.services.extensions.completion

## Interface ICompletionRequest

All Superinterfaces:
  `IPositionRequest`, `ISharedSettingsRequest`

    public interface ICompletionRequest
    extends IPositionRequest, ISharedSettingsRequest

Completion request API.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getFilterForStartTagName​(String tagName)`
`String` `getInsertAttrValue​(String value)`
`org.eclipse.lsp4j.InsertTextFormat` `getInsertTextFormat()` Returns the proper insert text format according the support of snippet.
`org.eclipse.lsp4j.Range` `getReplaceRange()` Returns the replace range.
`org.eclipse.lsp4j.Range` `getReplaceRangeForTagName()` Returns the range for replacing a tag name for an existing DOM element.
`XMLGenerator` `getXMLGenerator()`
`boolean` `isAutoCloseTags()` Returns true if tag should be autoclosed with an end tag and false otherwise.
`boolean` `isCompletionSnippetsSupported()` Returns `true` if the client support snippet and `false` otherwise.
`boolean` `isResolveAdditionalTextEditsSupported()` Returns true if the editor supports delayed resolution of additionalTextEdits and false otherwise.
`boolean` `isResolveDocumentationSupported()` Returns true if the editor supports delayed resolution of documentation and false otherwise.

### Methods inherited from interface org.eclipse.lemminx.services.extensions.IPositionRequest

`getComponent, getCurrentAttribute, getCurrentAttributeName, getCurrentTag, getLineIndentInfo, getNode, getOffset, getParentElement, getPosition, getXMLDocument`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.ISharedSettingsRequest

`canSupportMarkupKind, getSharedSettings`

### Method Detail

#### getReplaceRange

    org.eclipse.lsp4j.Range getReplaceRange()

Returns the replace range.

Returns:
  the replace range.

#### getReplaceRangeForTagName

    org.eclipse.lsp4j.Range getReplaceRangeForTagName()

Returns the range for replacing a tag name for an existing DOM element.

Returns:
  the range for replacing a tag name for an existing DOM element.

#### getXMLGenerator

    XMLGenerator getXMLGenerator()
                          throws BadLocationException

Throws:
  `BadLocationException`

#### getFilterForStartTagName

    String getFilterForStartTagName​(String tagName)

#### getInsertAttrValue

    String getInsertAttrValue​(String value)

#### isCompletionSnippetsSupported

    boolean isCompletionSnippetsSupported()

Returns `true` if the client support snippet and `false` otherwise.

Returns:
  `true` if the client support snippet and `false` otherwise.

#### isAutoCloseTags

    boolean isAutoCloseTags()

Returns true if tag should be autoclosed with an end tag and false otherwise.

Returns:
  true if tag should be autoclosed with an end tag and false otherwise.

#### isResolveDocumentationSupported

    boolean isResolveDocumentationSupported()

Returns true if the editor supports delayed resolution of documentation and false otherwise.

#### isResolveAdditionalTextEditsSupported

    boolean isResolveAdditionalTextEditsSupported()

Returns true if the editor supports delayed resolution of additionalTextEdits and false otherwise.

#### getInsertTextFormat

    org.eclipse.lsp4j.InsertTextFormat getInsertTextFormat()

Returns the proper insert text format according the support of snippet.

Returns:
  the proper insert text format according the support of snippet.